Commit dc1d8de7 authored by sunpoet's avatar sunpoet
Browse files

Update to 2.1.8

- Update version requirement of RUN_DEPENDS

Changes:	https://github.com/graphql-python/graphene/releases
parent a8741c7a
......@@ -2,7 +2,7 @@
# $FreeBSD$
PORTNAME= graphene
PORTVERSION= 2.1.3
PORTVERSION= 2.1.8
CATEGORIES= devel python
MASTER_SITES= CHEESESHOP
PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}
......@@ -13,11 +13,10 @@ COMMENT= GraphQL Framework for Python
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}aniso8601>=3:devel/py-aniso8601@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}graphql-core>=2.1:devel/py-graphql-core@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}graphql-relay>=0.4.5:devel/py-graphql-relay@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}promise>=2.1:devel/py-promise@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}six>=1.10.0:devel/py-six@${PY_FLAVOR}
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}aniso8601>=3<7:devel/py-aniso8601@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}graphql-core>=2.1<3:devel/py-graphql-core@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}graphql-relay>=2<3:devel/py-graphql-relay@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}six>=1.10.0<2:devel/py-six@${PY_FLAVOR}
USES= python
USE_PYTHON= autoplist concurrent distutils
......
TIMESTAMP = 1550263736
SHA256 (graphene-2.1.3.tar.gz) = b8ec446d17fa68721636eaad3d6adc1a378cb6323e219814c8f98c9928fc9642
SIZE (graphene-2.1.3.tar.gz) = 33094
TIMESTAMP = 1572806116
SHA256 (graphene-2.1.8.tar.gz) = 2cbe6d4ef15cfc7b7805e0760a0e5b80747161ce1b0f990dfdc0d2cf497c12f9
SIZE (graphene-2.1.8.tar.gz) = 42415
--- setup.py.orig 2018-07-19 22:01:29 UTC
+++ setup.py
@@ -85,7 +85,7 @@ setup(
"graphql-core>=2.1,<3",
"graphql-relay>=0.4.5,<1",
"promise>=2.1,<3",
- "aniso8601>=3,<4",
+ "aniso8601>=3",
],
tests_require=tests_require,
extras_require={
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment